#ifndef OGGETTOGRAFICO_H
#define OGGETTOGRAFICO_H

#include "quickcg.h"

using namespace QuickCG;

#include "vsgl_types.h"

class OggettoGrafico
{
    public:
        OggettoGrafico(int nx, int ny, const Colore& col):
        x(nx),y(ny),c(col),nascosto(false){}
        virtual ~OggettoGrafico(){}
        virtual void disegna() const = 0;
        virtual void muovi(int nx, int ny);
        void nascondi();
        void mostra();
    protected:
        int x;
        int y;
        Colore c;
        bool nascosto;
    private:
};

#endif // OGGETTOGRAFICO_H
