#ifndef VSGL_TYPES_H_INCLUDED
#define VSGL_TYPES_H_INCLUDED


#include "quickcg.h"

using namespace QuickCG;

typedef ColorRGB Colore;
#define LARGHEZZA_DISEGNO w ///< Larghezza della superficie disegnabile
#define ALTEZZA_DISEGNO h ///< Altezza della superficie disegnabile

#define BIANCO RGB_White ///< Bianco
#define ROSSO RGB_Red ///< Rosso
#define VERDE RGB_Green ///< Verde
#define CIANO RGB_Cyan ///< Ciano
#define MAGENTA RGB_Magenta ///< Magenta
#define GIALLO RGB_Yellow ///< Giallo
#define GRIGIO RGB_Grey ///< Grigio
#define MARRONE RGB_Maroon ///< Marrone
#define VERDE_SCURO RGB_Darkgreen ///< Verde scuro
#define BLU_MARINO RGB_Navy ///< Blu marino
#define VIOLA RGB_Purple ///< Viola
#define VERDE_OLIVA RGB_Olive ///< Verde oliva
#define NERO RGB_Black ///< Nero
#define NESSUN_COLORE ColorRGB(-1,-1,-1) ///Valore per indicare nessun colore

#endif // VSGL_TYPES_H_INCLUDED
